This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 517983 - (3proxy) Review Request: 3proxy - Tiny but very powerful proxy
Review Request: 3proxy - Tiny but very powerful proxy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RussianFedoraRemix
  Show dependency treegraph
 
Reported: 2009-08-18 05:51 EDT by Pavel Alexeev
Modified: 2009-09-18 20:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.6-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-18 20:20:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2009-08-18 05:51:12 EDT
Spec URL: http://hubbitus.net.ru/rpm/Fedora11/3proxy/3proxy.spec
SRPM URL: http://hubbitus.net.ru/rpm/Fedora11/3proxy/3proxy-0.6-2.fc11.src.rpm
Description:
3proxy -- light proxy server.
Universal proxy server with HTTP, HTTPS, SOCKS v4, SOCKS v4a, SOCKS v5, FTP, POP3, UDP and TCP portmapping, access control, bandwith control, traffic limitation and accounting based on username, client IP, target IP, day time, day of week, etc.


There only little Licence question. 3proxy available on several license, I list it all through "or". But there also present "GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.". I thought it should be something like LGPLv2.1+, but it is not present in allowable. Now it listed as LGPLv2+, but it is wrong. How I must indicate LGPL >= v2.1 ?
Comment 1 Peter Lemenkov 2009-08-18 13:51:14 EDT
I'll review it
Comment 2 Peter Lemenkov 2009-08-20 12:43:07 EDT
REVIEW:

- rpmlint is not silent (I added numbering for the sake of simplicity);

[petro@Sulaco ~]$ rpmlint rpmbuild/RPMS/ppc/3proxy-*
1. 3proxy.ppc: E: executable-marked-as-config-file /etc/3proxy.cfg
2. 3proxy.ppc: E: script-without-shebang /etc/3proxy.cfg
3. 3proxy.ppc: W: log-files-without-logrotate /var/log/3proxy
4. 3proxy.ppc: W: service-default-enabled /etc/rc.d/init.d/3proxy
2 packages and 0 specfiles checked; 2 errors, 2 warnings.
[petro@Sulaco ~]$

1st and 2nd warnings should be fixed - just use 644 as a parameter for "install" utility (seems that this is a typo) when you're installing 3proxy.cfg ( %{SOURCE2} )

3rd may be omitted, but it's a generally good idea to provide add-on for logrotate in such cases.

4th should be fixed - just replace "# chkconfig: 2345 02 98" with "# chkconfig: - 02 98" (note the dash sign instead of 2345).

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec .
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual licenses.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL. 

[petro@Sulaco SOURCES]$ sha256sum 3proxy-0.6.tgz*
fbeec42136598afb7eab212c925501b27855b07281142b2f1bbc97c14c204fde  3proxy-0.6.tgz
fbeec42136598afb7eab212c925501b27855b07281142b2f1bbc97c14c204fde  3proxy-0.6.tgz.1
[petro@Sulaco SOURCES]$

-  All build dependencies must be listed in BuildRequires

http://koji.fedoraproject.org/koji/taskinfo?taskID=1617957

Missing BR dos2unix. Please, try to build in koji before submitting Review Requests.


+/- Assuming, that you added dos2unix as a BR, the package successfully compiles and builds into binary rpms on at least one primary architecture.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1617973

+ The package owns all directories that it creates.
+ The  package does not list a file more than once in the spec file's %files listings.

- Permissions on files must be set properly. See my notes, regarding rpmlint messages.

+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


Please, address issues noted below, and I'll continue.
Comment 3 Pavel Alexeev 2009-08-20 15:22:29 EDT
(In reply to comment #2)
> REVIEW:
> 
> - rpmlint is not silent (I added numbering for the sake of simplicity);
> 
> [petro@Sulaco ~]$ rpmlint rpmbuild/RPMS/ppc/3proxy-*
> 1. 3proxy.ppc: E: executable-marked-as-config-file /etc/3proxy.cfg
> 2. 3proxy.ppc: E: script-without-shebang /etc/3proxy.cfg
> 3. 3proxy.ppc: W: log-files-without-logrotate /var/log/3proxy
> 4. 3proxy.ppc: W: service-default-enabled /etc/rc.d/init.d/3proxy
> 2 packages and 0 specfiles checked; 2 errors, 2 warnings.
> [petro@Sulaco ~]$
> 
> 1st and 2nd warnings should be fixed - just use 644 as a parameter for
> "install" utility (seems that this is a typo)
Yes, this is typo. I've replace config at end of packaging :)

> 3rd may be omitted, but it's a generally good idea to provide add-on for
> logrotate in such cases.
According to http://3proxy.ru/0.6/Release.notes.txt (see chapter 3) log rotation possibility included in main functionality.

> 4th should be fixed - just replace "# chkconfig: 2345 02 98" with "# chkconfig:
> - 02 98" (note the dash sign instead of 2345).
Fixed.

> Missing BR dos2unix. Please, try to build in koji before submitting Review
> Requests.
Sorry. BR dos2unix added.


> + The License field in the package spec file matches the actual licenses.
Not exact :) So, you dont answer on my first question - how I should pint license LGPL >= 2.1 (not 2.0)??
Comment 4 Peter Lemenkov 2009-08-20 15:30:56 EDT
I think LGPLv2+ is fine. However, to be really sure, I'm raising FE-LEGAL here.

Please, update your package.
Comment 6 Peter Lemenkov 2009-08-20 15:50:02 EDT
Ok, let's wait for the reaction from Fedora-Legal.

BTW, I proposing anoother one small cosmetic change - these lines no longer needed:

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sysconfdir}
Comment 7 Pavel Alexeev 2009-08-20 15:55:48 EDT
It was intended be (small mistake):
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_initrddir}

But you are right, when install used with -p flag it explicit creation is not needed anymore. I delete it. If you does not require - I'll not do new build now because only this changes.
Comment 8 Peter Lemenkov 2009-08-26 06:42:44 EDT
I just read carefully Licensing page, and found that either LGPLv2+ or LGPLv2.1+ licenses must be marked as LGPLv2+, so I'm unblocking FE-LEGAL.

This package is 


APPROVED.
Comment 9 Pavel Alexeev 2009-08-26 07:30:12 EDT
Peter, thank you for the review.

New Package CVS Request
=======================
Package Name: 3proxy
Short Description: Tiny but very powerful proxy
Owners: hubbitus
Branches: F-10 F-11 EL-5
InitialCC:
Comment 10 Kevin Fenzi 2009-08-26 18:17:18 EDT
cvs done.
Comment 11 Fedora Update System 2009-08-28 05:00:38 EDT
3proxy-0.6-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/3proxy-0.6-3.fc10
Comment 12 Fedora Update System 2009-08-28 05:02:13 EDT
3proxy-0.6-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/3proxy-0.6-3.fc11
Comment 13 Fedora Update System 2009-08-28 05:03:23 EDT
3proxy-0.6-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/3proxy-0.6-3.el5
Comment 14 Fedora Update System 2009-08-31 18:53:30 EDT
3proxy-0.6-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update 3proxy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0362
Comment 15 Fedora Update System 2009-09-15 03:54:49 EDT
3proxy-0.6-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-09-15 03:57:37 EDT
3proxy-0.6-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-09-18 20:20:48 EDT
3proxy-0.6-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.